import { type Component, For } from "solid-js";
import { base } from "../network";
import { useNotifications } from "../ProtectedRoute";

export const ProcessingImages: Component = () => {
    const notifications = useNotifications();

    return (
        <div class="w-full">
            <h2 class="text-xl">Processing Images</h2>
            <For each={Object.entries(notifications.state.ProcessingImages)}>
                {([id]) => <img alt="processing" src={`${base}/image/${id}`} />}
            </For>
        </div>
    );
};
